Update Chat State
Update the state of a specific chat by its ID.
curl --request PATCH \
--url https://api.useinvent.com/chats/{chat_id}/state \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ai_enabled": true,
"follow_up_at": "2023-11-07T05:31:56Z",
"muted_until": "2023-11-07T05:31:56Z",
"csat_score": 3
}
'{
"id": "<string>",
"title": "<string>",
"model": "<string>",
"members": [
{
"id": "<string>",
"user": {
"id": "<string>",
"name": "<string>",
"avatar": "<string>"
},
"session": {
"id": "<string>"
},
"contact_channel": {
"id": "<string>",
"user_id": "<string>",
"avatar": "<string>",
"name": "<string>",
"username": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"country": "<string>",
"agent": "<string>",
"ip": "<string>",
"language": "<string>",
"contact": {
"id": "<string>",
"name": "<string>",
"blocked": true,
"is_admin": true
},
"link": "<string>"
}
}
],
"temporary": true,
"pinned": true,
"shared_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tools": [
{
"name": "<string>",
"display_name": "<string>",
"action_name": "<string>",
"description": "<string>",
"icon_url": "<string>",
"parameters": {},
"enabled_by_default": true,
"callback": "<string>",
"validation": "<string>"
}
],
"features": {
"web_search": {},
"reasoning": {}
},
"org_id": "<string>",
"state": {
"id": "<string>",
"assistant_id": "<string>",
"assistant_integration_id": "<string>",
"conversation_id": "<string>",
"ai_enabled": true,
"admin_unseen_count": 123,
"user_unseen_count": 123,
"assistant": {
"id": "<string>",
"name": "<string>",
"enabled": true,
"avatar_url": "<string>",
"deleted": true,
"config": {
"conversation": {
"welcome_banner": "<string>",
"suggested_messages": [
"<string>"
],
"auto_intro_message": "<string>",
"enable_auto_csat": true,
"enable_ai_replies": true
}
}
},
"assistant_integration": {
"id": "<string>",
"enabled": true,
"has_connection": true
},
"assigned_user": {
"id": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"avatar": "<string>",
"seen_at": "2023-11-07T05:31:56Z"
},
"assigned_at": "2023-11-07T05:31:56Z",
"assistant_config": {
"model": "<string>",
"stt": {
"model": "<string>"
},
"tts": {
"model": "<string>",
"voice_id": "<string>"
},
"conversation": {
"enable_memories": true,
"enable_transfer_to_human_tool": true,
"welcome_banner": "<string>",
"suggested_messages": [
"<string>"
],
"auto_intro_message": "<string>",
"enable_end_conversation_tool": true,
"enable_block_contact_tool": true,
"enable_ai_replies": true,
"enable_auto_resolve": true,
"enable_auto_follow_ups": true,
"enable_auto_csat": true,
"enable_private_chats": true,
"enable_update_contact_tool": true
},
"timezone": "<string>",
"instructions": "<string>"
},
"follow_up_at": "2023-11-07T05:31:56Z",
"muted_until": "2023-11-07T05:31:56Z",
"csat_score": 3,
"last_contact_message_at": "2023-11-07T05:31:56Z"
},
"link": "<string>",
"last_message": {
"id": "<string>",
"model": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"messages": [
{
"parts": [
{
"text": "<string>",
"audio": {
"id": "<string>",
"file_path": "<string>",
"file_filename": "document.pdf",
"file_size": 1024,
"file_mimetype": "application/pdf",
"file_url": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"start_timestamp": 123,
"end_timestamp": 123
}
]
}
],
"tools": [
{
"name": "<string>",
"display_name": "<string>",
"action_name": "<string>",
"description": "<string>",
"icon_url": "<string>",
"parameters": {},
"enabled_by_default": true,
"callback": "<string>",
"validation": "<string>"
}
],
"features": {
"web_search": {},
"reasoning": {}
},
"member": {
"id": "<string>",
"user": {
"id": "<string>",
"name": "<string>",
"avatar": "<string>"
},
"session": {
"id": "<string>"
},
"contact_channel": {
"id": "<string>",
"user_id": "<string>",
"avatar": "<string>",
"name": "<string>",
"username": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"country": "<string>",
"agent": "<string>",
"ip": "<string>",
"language": "<string>",
"contact": {
"id": "<string>",
"name": "<string>",
"blocked": true,
"is_admin": true
},
"link": "<string>"
}
},
"error": "<string>",
"broadcast_id": "<string>",
"is_broadcast_message": true,
"usage": {
"input_tokens": 123,
"output_tokens": 123,
"total_tokens": 123,
"reasoning_tokens": 123,
"input_tokens_cache_read": 123,
"input_tokens_cache_write": 123,
"turns": [
{
"input_tokens": 123,
"output_tokens": 123,
"total_tokens": 123,
"reasoning_tokens": 123,
"input_tokens_cache_read": 123,
"input_tokens_cache_write": 123
}
]
}
},
"referral": {
"parts": [
{
"url": "<string>",
"file": {
"id": "<string>",
"file_path": "<string>",
"file_filename": "document.pdf",
"file_size": 1024,
"file_mimetype": "application/pdf",
"file_url": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"auto_consume": true,
"start_timestamp": 123,
"end_timestamp": 123
}
],
"ref": "<string>",
"ad_id": "<string>",
"source": "<string>",
"referer_uri": "<string>",
"ads_context_data": {
"ad_title": "<string>",
"photo_url": "<string>",
"video_url": "<string>",
"post_id": "<string>",
"product_id": "<string>"
}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer token authentication using your API key
Path Parameters
Chat ID
Body
Schema for updating chat state
The state status of the chat
OPEN, SNOOZED, CLOSED Whether AI is enabled for the chat
Schema for the configuration of an assistant
Show child attributes
Show child attributes
Scheduled follow-up datetime (set null to cancel)
Mute the chat until this datetime (set null to clear). Max 1 year in the future.
Customer satisfaction score (1-5)
1 <= x <= 5Response
The title of the chat
The model used for the chat
The members of the chat
Show child attributes
Show child attributes
Whether the chat is temporary and would be deleted after 24 hours of last activity
The visibility of the chat
PRIVATE, PUBLIC_READ, PUBLIC_WRITE Whether the chat is pinned in the user interface
The status of the chat
RUNNING, COMPLETED, FAILED, CANCELED The shared URL of the chat, if it is shared
The tools available in the chat
Show child attributes
Show child attributes
Enabled features for the model
Show child attributes
Show child attributes
Schema for the chat state
Show child attributes
Show child attributes
The link to the chat in the integration
The chat message schema
Show child attributes
Show child attributes
Referral/commerce event data from Meta platforms — ads, products, orders.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
- Option 19
Show child attributes
Show child attributes
Was this page helpful?
curl --request PATCH \
--url https://api.useinvent.com/chats/{chat_id}/state \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ai_enabled": true,
"follow_up_at": "2023-11-07T05:31:56Z",
"muted_until": "2023-11-07T05:31:56Z",
"csat_score": 3
}
'{
"id": "<string>",
"title": "<string>",
"model": "<string>",
"members": [
{
"id": "<string>",
"user": {
"id": "<string>",
"name": "<string>",
"avatar": "<string>"
},
"session": {
"id": "<string>"
},
"contact_channel": {
"id": "<string>",
"user_id": "<string>",
"avatar": "<string>",
"name": "<string>",
"username": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"country": "<string>",
"agent": "<string>",
"ip": "<string>",
"language": "<string>",
"contact": {
"id": "<string>",
"name": "<string>",
"blocked": true,
"is_admin": true
},
"link": "<string>"
}
}
],
"temporary": true,
"pinned": true,
"shared_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tools": [
{
"name": "<string>",
"display_name": "<string>",
"action_name": "<string>",
"description": "<string>",
"icon_url": "<string>",
"parameters": {},
"enabled_by_default": true,
"callback": "<string>",
"validation": "<string>"
}
],
"features": {
"web_search": {},
"reasoning": {}
},
"org_id": "<string>",
"state": {
"id": "<string>",
"assistant_id": "<string>",
"assistant_integration_id": "<string>",
"conversation_id": "<string>",
"ai_enabled": true,
"admin_unseen_count": 123,
"user_unseen_count": 123,
"assistant": {
"id": "<string>",
"name": "<string>",
"enabled": true,
"avatar_url": "<string>",
"deleted": true,
"config": {
"conversation": {
"welcome_banner": "<string>",
"suggested_messages": [
"<string>"
],
"auto_intro_message": "<string>",
"enable_auto_csat": true,
"enable_ai_replies": true
}
}
},
"assistant_integration": {
"id": "<string>",
"enabled": true,
"has_connection": true
},
"assigned_user": {
"id": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"avatar": "<string>",
"seen_at": "2023-11-07T05:31:56Z"
},
"assigned_at": "2023-11-07T05:31:56Z",
"assistant_config": {
"model": "<string>",
"stt": {
"model": "<string>"
},
"tts": {
"model": "<string>",
"voice_id": "<string>"
},
"conversation": {
"enable_memories": true,
"enable_transfer_to_human_tool": true,
"welcome_banner": "<string>",
"suggested_messages": [
"<string>"
],
"auto_intro_message": "<string>",
"enable_end_conversation_tool": true,
"enable_block_contact_tool": true,
"enable_ai_replies": true,
"enable_auto_resolve": true,
"enable_auto_follow_ups": true,
"enable_auto_csat": true,
"enable_private_chats": true,
"enable_update_contact_tool": true
},
"timezone": "<string>",
"instructions": "<string>"
},
"follow_up_at": "2023-11-07T05:31:56Z",
"muted_until": "2023-11-07T05:31:56Z",
"csat_score": 3,
"last_contact_message_at": "2023-11-07T05:31:56Z"
},
"link": "<string>",
"last_message": {
"id": "<string>",
"model": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"messages": [
{
"parts": [
{
"text": "<string>",
"audio": {
"id": "<string>",
"file_path": "<string>",
"file_filename": "document.pdf",
"file_size": 1024,
"file_mimetype": "application/pdf",
"file_url": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"start_timestamp": 123,
"end_timestamp": 123
}
]
}
],
"tools": [
{
"name": "<string>",
"display_name": "<string>",
"action_name": "<string>",
"description": "<string>",
"icon_url": "<string>",
"parameters": {},
"enabled_by_default": true,
"callback": "<string>",
"validation": "<string>"
}
],
"features": {
"web_search": {},
"reasoning": {}
},
"member": {
"id": "<string>",
"user": {
"id": "<string>",
"name": "<string>",
"avatar": "<string>"
},
"session": {
"id": "<string>"
},
"contact_channel": {
"id": "<string>",
"user_id": "<string>",
"avatar": "<string>",
"name": "<string>",
"username": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"country": "<string>",
"agent": "<string>",
"ip": "<string>",
"language": "<string>",
"contact": {
"id": "<string>",
"name": "<string>",
"blocked": true,
"is_admin": true
},
"link": "<string>"
}
},
"error": "<string>",
"broadcast_id": "<string>",
"is_broadcast_message": true,
"usage": {
"input_tokens": 123,
"output_tokens": 123,
"total_tokens": 123,
"reasoning_tokens": 123,
"input_tokens_cache_read": 123,
"input_tokens_cache_write": 123,
"turns": [
{
"input_tokens": 123,
"output_tokens": 123,
"total_tokens": 123,
"reasoning_tokens": 123,
"input_tokens_cache_read": 123,
"input_tokens_cache_write": 123
}
]
}
},
"referral": {
"parts": [
{
"url": "<string>",
"file": {
"id": "<string>",
"file_path": "<string>",
"file_filename": "document.pdf",
"file_size": 1024,
"file_mimetype": "application/pdf",
"file_url": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"auto_consume": true,
"start_timestamp": 123,
"end_timestamp": 123
}
],
"ref": "<string>",
"ad_id": "<string>",
"source": "<string>",
"referer_uri": "<string>",
"ads_context_data": {
"ad_title": "<string>",
"photo_url": "<string>",
"video_url": "<string>",
"post_id": "<string>",
"product_id": "<string>"
}
}
}